The Get user's auth by token method returns a one-time token for accessing the platform. With the token, a third-party user can authenticate in the Customer Control Panel as the Owner of an account (see Access levels of users). The token is requested for an account of the current reseller or any of its downstream resellers.
In case of authentication with a token, the Customer Control Panel is available at {installation_url}/?user_email={owner's_email}&user_token={owner's_token}
GET {{base_url}}/api/v3/resellers/{{reseller_id}}/user_authentication/token
Authentication
This endpoint requires a JWT access token. Specify the token in the Authorization header using the Bearer authentication scheme:
Authorization: Bearer <JWT_ACCESS_TOKEN>
In Postman, select Bearer Token on the Authorization tab and enter the JWT access token.
Arguments
|
Name |
Parameter Type |
Data type |
Required/ Optional |
Description |
|---|---|---|---|---|
|
Content-Type |
header |
string |
Required |
Media type of the request. Specify the following: application/vnd.api+json |
|
Accept |
header |
string |
Required |
Supported media types of the answer. Specify the following: application/vnd.api+json |
|
base_url |
path |
string |
Required |
ActivePlatform URL |
|
reseller_id |
path |
number |
Required |
ID of the current reseller or any of its downstream resellers (see Viewing and updating reseller general information) |
|
account_id |
path |
number |
Required |
ID of the required account |
Response model
|
Name |
Data type |
Description |
|||
|---|---|---|---|---|---|
|
owner_email |
string |
Email of the account Owner for authentication |
|||
|
owner_token |
string |
One-time token for authentication |
|||
Request example
GET /api/v3/resellers/1/user_authentication/token?account_id=505
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
Authorization: Bearer <JWT_ACCESS_TOKEN>
Accept: application/vnd.api+json
Response example
{
"owner_email": "example@activeplatform.com",
"owner_token": "Sg1DZLtoken7PH4sVsAeh"
}